import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

import java.awt.Color;
import java.awt.Graphics;
import java.awt.image.BufferedImage;

/**
 * Counter that displays a number.
 * 
 * @author Michael Kolling
 * @version 1.0.1
 */
public class letreros1 extends letrero
{
    private int value = 0;
    

    public void act()
    {
        updateImage();
    }
    
    public letreros1()
    {
        super();
    }

    public letreros1(String prefix)
    {
        super(prefix);
        updateImage();
        
    }

    public void increment()
    {
        value++;
        updateImage();
    }
    
    public void decrement()
    {
        value--;
        updateImage();
    }
    
    public int dimeValor()
    {
        return value;
    }
   
    public void updateImage()
    {
       GreenfootImage image = getImage();
        image.clear();
        image.setColor(Color.RED);
        image.drawString(text+value, 1, 12);//diferencia del de la super clase q este requiere imprimir el valor
    }

    
}
