import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.awt.Color;
import java.awt.Graphics;
import java.awt.image.BufferedImage;


/**
 * Counter that displays a number.
 * 
 * @author Michael Kolling
 * @version 1.0.1
 */
public class letrero extends Actor
{
   
    public String text;
    public int stringLength;

    public void act()
    {
        updateImage();
    }
    
    public letrero()
    {
        text = "";
        stringLength = (text.length() + 4) * 10;
        updateImage();
    }

    public letrero(String prefix)
    {
        text = prefix;
        stringLength = (text.length() + 2) * 10;
        
        setImage(new GreenfootImage(stringLength, 16));
        updateImage();
    }

      
       /**
     * Make the image
     */
    public void updateImage()
    {
        GreenfootImage image = getImage();
        image.clear();
        image.setColor(Color.RED);
        image.drawString(text, 1, 12);
    }
    
    
}